1. Companies
Leadfeeder API (BETA)
  • Introduction
  • Authentication
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • Account
    • List Accounts
  • Companies
    • Get Company Details
      GET
    • Retrieve Companies
      GET
    • Company Financial Reports
      GET
    • Search Company Signals
      POST
    • Search Companies
      POST
    • Match Companies
      POST
    • Add Company to Lists
      POST
    • Remove Company from Lists
      DELETE
    • Assign Tags to Company
      POST
    • Unassign Tags from Company
      DELETE
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • IP
    • Enrich Company IP Address
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Reference Data
    • List of NACE / WZ codes
  • Schemas
    • Schemas
    • Response
    • AccountResponse
    • VisitLocationV1
    • IcpV1
    • LocationV1
    • CRMUserV1
    • CRMOrganizationV1
    • CRMContactV1
    • CRMLeadV1
    • WebVisitV1
    • CRMConnectionV1
    • BuyerPersonaV1
    • CRMSuggestionV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • CustomFeedRequestV1
    • AccountV1
    • MaskedContactSummaryV1
    • CustomFeedV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • CompanyLocationV1
    • Error401
    • AccountSummaryV1
    • Error403
    • ErrorObjectV1
    • MaskedCompanySummaryV1
    • CompanyV1
    • Error429
    • NetworkV1
    • CompanyFinancialsV1
    • Error404
    • Error500
    • SignalV1
    • Error504
    • CompanyResponse
    • CompanySummaryV1
    • CompaniesResponse
    • CompanyFinancialsResponse
    • CompaniesSignalsResponse
    • CompaniesSearchResponse
    • TagV1
    • ListV1
    • CompanyMatchV1
    • ContactResponse
    • CustomFieldV1
    • ContactV1
    • ContactsResponse
    • ContactSummaryV1
    • ContactsSummaryResponse
    • EnrichedIpV1
    • IpEnrichResponse
    • TagsResponse
    • ListsResponse
    • ApiUsageV1
    • ApiUsageResponse
    • Error400
    • TagResponse
    • ListResponse
    • TagDeleteResponse
    • ListDeleteResponse
    • EmptySuccessResponse
    • CustomFieldsResponse
    • CustomFieldResponse
  1. Companies

Match Companies

POST
/v1/companies/match
Find matching companies based on the provided input parameters.
Returns matching company IDs and basic company information.
Important: Each company object must include at least one of these required fields: company_name, url, vat_id, or register_id. Additional fields like email, phone, and address can improve match accuracy but cannot be used alone.
Credit Note: Matches do not consume credits. Credits are only used if you subsequently retrieve deep data for a company you haven't accessed within the last 12 months.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Success
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
🔴500Server Error
🔴504Gateway Timeout
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.leadfeeder.com/v1/companies/match?account_id=123456&max_results_per_company=5' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "companies": [
        {
            "company_name": "Dealfront Group GmbH",
            "url": "https://www.dealfront.com/welcome",
            "email": "info@dealfront.com",
            "phone": "+49 721 50057501",
            "country": "Germany",
            "country_code": "DE",
            "city": "Karlsruhe",
            "postal_code": "76131",
            "street": "Durlacher Allee 73",
            "street_name": "Durlacher Allee",
            "street_number": "73",
            "register_id": "HRB711540",
            "register_location": "Mannheim",
            "vat_id": "DE276265194"
        }
    ]
}'
Response Response Example
200 - success
{
    "data": [
        [
            {
                "type": "company_match",
                "id": "129011",
                "attributes": {
                    "match_score": 0.95
                },
                "relationships": {
                    "company_summary": {
                        "id": "129011",
                        "type": "company_summary",
                        "attributes": {
                            "name": "Dealfront Group GmbH",
                            "role": "group_member",
                            "register": {
                                "status": "active"
                            },
                            "meta": {
                                "do_not_contact": false,
                                "has_updated_id": false,
                                "has_ip_addresses": true,
                                "has_phones": true,
                                "has_fax": false,
                                "has_mail": true,
                                "has_contacts": true,
                                "has_social_accounts": true,
                                "has_register_id": true,
                                "has_vat_id": true,
                                "has_financials_revenue": true,
                                "has_financials_earnings": true,
                                "has_financials_net_worth": true
                            }
                        },
                        "relationships": {
                            "group_company": {
                                "id": "159001425",
                                "type": "company"
                            }
                        }
                    }
                }
            },
            {
                "type": "company_match",
                "id": "155950504",
                "attributes": {
                    "match_score": 0.8
                },
                "relationships": {
                    "company_summary": {
                        "id": "155950504",
                        "type": "company_summary",
                        "attributes": {
                            "name": "Leaxxxxxxx",
                            "role": "group_member",
                            "register": {
                                "status": "active"
                            },
                            "meta": {
                                "do_not_contact": true,
                                "has_updated_id": false,
                                "has_ip_addresses": false,
                                "has_phones": true,
                                "has_fax": true,
                                "has_mail": true,
                                "has_contacts": false,
                                "has_social_accounts": true,
                                "has_register_id": true,
                                "has_vat_id": true,
                                "has_financials_revenue": true,
                                "has_financials_earnings": true,
                                "has_financials_net_worth": true
                            }
                        },
                        "relationships": {
                            "group_company": null
                        }
                    }
                }
            }
        ]
    ],
    "meta": {
        "credits": {
            "charged": 0
        },
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
Modified at 2026-04-14 13:35:01
Previous
Search Companies
Next
Add Company to Lists
Built with